import { listQuerier } from "@server/dbHelpers";
import { isLoggedIn } from "@server/middlewareButNotReally";
export default cachedEventHandler(async (ev) => {
	isLoggedIn(ev);
	const id = ev.context.currentUser!._id;
	let s = await listQuerier({ author: id }, ev.context, ev);
	return {
		stories: s.stories,
		total: s.stories.length,
	};
});
